### Method

# Json Path compile

since: 0.14

#### Declaration [src]

    gboolean
    json_path_compile (
      JsonPath* path,
      const char* expression,
      GError** error
    )

#### Description [src]

Validates and decomposes the given expression.

A JSONPath expression must be compiled before calling `json_path_match()`.

Available since: 0.14

#### Parameters

`expression`

  Type: `const char*`

  A JSONPath expression.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the compilation was successful, and `FALSE` otherwise.